## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
pybv is a lightweight exporter to the BrainVision data format. The BrainVision
data format is a recommended data format for use in the Brain Imaging Data
Structure. BrainVision is the name of a file format commonly used for storing
electrophysiology data. Originally, it was put forward by the company Brain
Products, however the simplicity of the format has allowed for a diversity
of tools reading from and writing to the format.

The format consists of three separate files:

* A text header file (.vhdr) containing meta data
* A text marker file (.vmrk) containing information about events in the data
* A binary data file (.eeg) containing the voltage values of the EEG}

Name:           python-pybv
Version:        0.6.0
Release:        %autorelease
Summary:        A lightweight I/O utility for the BrainVision data format

License:        BSD
URL:            https://pybv.readthedocs.io/en/stable/
Source0:        https://github.com/bids-standard/pybv/archive/v%{version}/pybv-%{version}.tar.gz

# Replace deprecated mne.utils.requires_version
# https://github.com/bids-standard/pybv/pull/105
# Rebased to v0.6.0.
Patch:          0001-Replace-deprecated-mne.utils.requires_version.patch

BuildArch:      noarch
ExcludeArch:    %{ix86}

%description %_description

%package -n python3-pybv
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist mne}

%description -n python3-pybv %_description

%prep
%autosetup -n pybv-%{version} -p1
rm -rf pybv.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

# Remove linters etc from requirements
sed -i -e '/check-manifest/ d' -e '/pytest-/ d' -e '/flake8/ d' -e '/pycodestyle/ d' -e '/sphinx/ d' -e '/numpydoc/ d' requirements-dev.txt

%generate_buildrequires
%pyproject_buildrequires -r requirements-dev.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pybv

%check
%{pytest}

%files -n python3-pybv -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-10
- Replace deprecated mne.utils.requires_version
- Fix RHBZ#2226287, fix RHBZ#2220423

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 0.6.0-1
- Initial build

